#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main()
{

    double z1, z2, z5;
    long long int V, v1;
    int k, c, b;
    scanf("%lli", &V);
    v1 = V;
    b = 0;
    k = 0;
    while(v1 != 0)
    {
        v1 = v1 / 10;
        k++;
    }
    while(V > 0)
    {
        if(V < pow(10,k))
        {
            k--;
            z1 =  pow(10, k);
            z2 = 2 * z1;
            z5 = 5 * z1;
        }
        if(V >= z5)
        {
            V = V - z5;
            b++;
        }
        else if(V >= z2)
        {
            V = V - z2;
            b++;
        }
        else if(V >= z1)
        {
            V = V - z1;
            b++;
        }

    }
    printf("%d", b);
    return 0;
}